New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

xlsx import uses old openpyxl call #393

Closed
henryrizzi opened this Issue Oct 20, 2016 · 0 comments

Comments

Projects
None yet
2 participants
@henryrizzi
Contributor

henryrizzi commented Oct 20, 2016

Using the latest available version of openpyxl from pip (2.4.0), this error occurs when trying to import an xlsx file in petl.

TypeError: load_workbook() got an unexpected keyword argument 'use_iterators'

use_iterators has been changed to read_only according to the current docs for openpyxl, therefore this issue can be fixed by a tiny change to petl/io/xlsx.py

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment